## mycompiler.myexception
Class MatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mycompiler.myexception.MatchException

All Implemented Interfaces:
  java.io.Serializable

    public class MatchException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`MatchException(java.lang.String m)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchException

    public MatchException(java.lang.String m)